package com.ttstd.dialer.utils;

public class NativeUtils {
    static {
        System.loadLibrary("ttstd");
    }


    /**
     * sn加密key
     *
     * @return
     */
    public static native String getKey();

    /**
     * 获取 获取绑定状态的code
     *
     * @return
     */
    public static native String getBindStatuSigCode();

    /**
     * 和风天气API Host
     *
     * @return
     */
    public static native String getQWeatherUrl();

    /**
     * 和风天气私钥
     *
     * @return
     */
    public static native String getQWeatherPrivateKey();

    /**
     * 和风天气项目ID
     *
     * @return
     */
    public static native String getQWeatherProjectId();

    /**
     * 和风天气凭据ID
     *
     * @return
     */
    public static native String getQWeatherCredentialId();

}
